> For the complete documentation index, see [llms.txt](https://docs.streamavatars.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.streamavatars.com/lua-scripting-api/api-reference-and-tips/classes/app/getidsfromdata.md).

# getIdsFromData

```lua
return function()
    local app = getApp();
    local users = app.getIdsFromData();
    
    local counter = 0;
    
    for i, value in ipairs(users) do
        
        if counter > 50 then --handle 50 users before yielding
            counter = 0;
            yield(); 
            --we yield here because looping over ALL users with getUserFromData() 
            --could be extremely taxing and soft-lock the app due to how much
            --work is being done.
        end
        
        local user = app.getUserFromData(value); 
        --NOTE: this user's avatar might not be actively spawned
        
        if user.isActive == false then
            log('this is not an active user...');
            --this means you cannot modify live-settings on the avatar directly
            --such as the temporaryScale
        end
        
        --do work with user user...
        
        counter = counter + 1; --increase counter
    end
end
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.streamavatars.com/lua-scripting-api/api-reference-and-tips/classes/app/getidsfromdata.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
